# 예금주 조회 API

{% hint style="warning" %}
**Deprecated**

이 문서는 더 이상 관리되지 않습니다.

[PortOne 개발자센터](https://developers.portone.io/)를 이용해주세요.
{% endhint %}

### 예금주 성명을 은행계좌번호를 이용하여 획득합니다.

## 은행코드, 계좌번호를 이용해 해당 계좌의 예금주 명을 조회합니다.

<mark style="color:blue;">`GET`</mark> `https://api.iamport.kr/vbanks/holder`

#### Query Parameters

| Name                                         | Type   | Description                                                                                  |
| -------------------------------------------- | ------ | -------------------------------------------------------------------------------------------- |
| bank\_code<mark style="color:red;">\*</mark> | String | <mark style="color:red;">**은행코드**</mark>                                                     |
| bank\_num<mark style="color:red;">\*</mark>  | String | <p><mark style="color:red;"><strong>계좌번호</strong></mark></p><p><code>숫자외 기호 포함 가능</code></p> |

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="VbankHolderResponse" %}
**`code`** <mark style="color:red;">**\***</mark> <mark style="color:purple;">**integer**</mark>

**응답코드**

0이면 정상적인 조회, 0 이 아닌 값이면 message를 확인해봐야 합니다

**`message`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**string**</mark>

**응답메세지**

code 값이 0이 아닐 때, '존재하지 않는 결제정보입니다'와 같은 오류 메세지를 포함합니다

**response (VbankHolderAnnotation, optional)**
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="VbankHolderAnnotation" %}
**`bank_holder`** <mark style="color:red;">**`*`**</mark> <mark style="color:green;">**`string`**</mark>

**`예금주명`**
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request bank\_code가 누락된 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized 인증 Token이 전달되지 않았거나 유효하지 않은 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found 계좌정보 조회 실패" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Response Model Schema</summary>

```json
{
  "code": 0,
  "message": "string",
  "response": {
    "bank_holder": "string"
  }
}
```

</details>

{% hint style="success" %}
**Swagger Test Link**

[**https://api.iamport.kr/#!/vbanks/queryBankHolder**](https://api.iamport.kr/#!/vbanks/queryBankHolder)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://portone.gitbook.io/docs/api/api-9/api-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
